LibreOffice: cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 > Class Template Reference

LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 > Class Template Reference

Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent. More...

`#include <compbase4.hxx>`

Inheritance diagram for cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >:

## Public Member Functions
| WeakAggComponentImplHelper4 (::osl::Mutex &rMutex) SAL_NOEXCEPT
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual css::uno::Any | queryAggregation (css::uno::Type const &rType) SAL_OVERRIDE
virtual void | acquire () SAL_NOEXCEPT SAL_OVERRIDE
virtual void | release () SAL_NOEXCEPT SAL_OVERRIDE
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Detailed Description

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4>
class cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >

Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent.

Upon disposing objects of this class, sub-classes receive a disposing() call. Objects of this class can be held weakly, i.e. by a css::uno::WeakReference. Object of this class can be aggregated, i.e. incoming queryInterface() calls are delegated.

Attention
  The life-cycle of the passed mutex reference has to be longer than objects of this class.

Derive:
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

Deprecated

## Constructor & Destructor Documentation

## ◆ WeakAggComponentImplHelper4()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4>

cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::WeakAggComponentImplHelper4 | ( | ::osl::Mutex & | rMutex | ) |
| inline

## Member Function Documentation

## ◆ acquire()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4>

virtual void cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::acquire | ( |  | ) |
| inlinevirtual

## ◆ getImplementationId()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4>

virtual css::uno::Sequence< sal_Int8 > cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::getImplementationId | ( |  | ) |
| inlinevirtual

## ◆ getTypes()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4>

virtual css::uno::Sequence< css::uno::Type > cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::getTypes | ( |  | ) |
| inlinevirtual

## ◆ queryAggregation()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4>

virtual css::uno::Any cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::queryAggregation | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

## ◆ queryInterface()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4>

virtual css::uno::Any cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

## ◆ release()

template<class Ifc1, class Ifc2, class Ifc3, class Ifc4>

virtual void cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >::release | ( |  | ) |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/compbase4.hxx